# Changelog

All notable changes to this project will be documented in this file.

    Added     : for new features.
    Changed   : for changes in existing functionality.
    Deprecated: for soon-to-be removed features.
    Removed   : for now removed features.
    Fixed     : for any bug fixes.
    Security  : in case of vulnerabilities.

## [0.0.1] - 2022-01-31

### Added
- Lora support for an SX1278 connected to the RPi GPIO (driver)
- Lora radio can be controlled via web interface and command line the same way the other two radios already could.

### Deprecated
- RPi-LoRa-KISS-TNC shall be moved to a seperate repository

### Fixed
- LoRa APRS header (<\xff\x01) was not added to the payload, due to an indentation fault. Long live Python!

## [0.0.2] - 2022-02-01

### Changed
- Carrier detect not via Direwolf (only ax0), but via carrier-detect.sh script in main loop, so all channles (ax0, ax1 and ax2) have DCD

## [0.0.3] - 2022-02-02

### Changed
- Carrier detect now written in C for speed
