<!DOCTYPE html>
<html>
<head>
<title>PE1RXF APRS server</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="refresh" content="600">

<link rel="stylesheet" href="css/styles.css">
<link rel="stylesheet" href="css/popup.css">
<link rel="stylesheet" href="css/font-awesome.min.css">
</head>
<body>

<?php
    #Data format:
    #0,1,2,3,4,5,6,7,8,9

    #  0 = temperature outside
    #  1 = humidity outside
    #  2 = temperature large greenhouse
    #  3 = humidity large greenhouse
    #  4 = soil moisture large greenhouse
    #  5 = soil moisture large greenhouse
    #  6 = temperature small greenhouse
    #  7 = humidity small greenhouse
    #  8 = soil moisture small greenhouse
    #  9 = soil moisture small greenhouse
    $telemetry_data = array_map('str_getcsv', file("/home/marcel/ham/aprs_utils/aprs_log/latest_telemetry_PE1RXF-7.dat"));        
?> 
<div class="header">
  <a href="index.php" >
    <h1><i class="fa fa-home" aria-hidden="true"></i>&nbsp; PE1RXF APRS TELEMETRY</h1>
  </a>
</div>

<div class="row">
  <div class="col-3 col-s-3 menu">
    <ul>
      <li><h3>Temperature buiten: <?php echo $telemetry_data[0][0] ?>&deg; C</h3></li>
      <li><h3>Temperature kleine kas: <?php echo $telemetry_data[0][6] ?>&deg; C</h3></li>
      <li><h3>Temperature grote kas: <?php echo $telemetry_data[0][2] ?>&deg; C</h3></li>
    </ul>
  </div>

  <div class="col-6 col-s-9"  id="main_page">

     <img src="telemetry/temperature_graph.png" class="large"/></a>
     <img src="telemetry/humidity_graph.png" class="large"/></a>

     <img src="telemetry/minmax_temperature_outside.png" class="large"/></a>
     <img src="telemetry/minmax_temperature_small_greenhouse.png" class="large"/></a>
     <img src="telemetry/minmax_temperature_large_greenhouse.png" class="large"/></a>
  
     <img src="telemetry/minmax_humidity_outside.png" class="large"/></a>
     <img src="telemetry/minmax_humidity_small_greenhouse.png" class="large"/></a>
     <img src="telemetry/minmax_humidity_large_greenhouse.png" class="large"/></a>

  </div>
  
  <div class="col-3 col-s-12 menu">
      <ul>
        <li><h3>Luchtvochtigheid buiten: <?php echo $telemetry_data[0][1] ?> %</h3></li>
        <li><h3>Luchtvochtigheid kleine kas: <?php echo $telemetry_data[0][7] ?> %</h3></li>
        <li><h3>Luchtvochtigheid grote kas: <?php echo $telemetry_data[0][3] ?> %</h3></li>
    </ul>
  </div>
</div>

</body>
</html>


